
QGIS Application - Bug report #12824

Multiple (related) tables in editing mode crashes

2015-05-26 02:51 AM - Mart Grommen

Status: Closed

Priority: High

Assignee:

Category: Edit widget

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable
Description

Hello all,

thanks to QGIS we were able to create a very detailed qgis project with multiple connections between database tables. Wonderful

program! Thanks a lot!

We are working in QGIS 2.8.1.

What we did is creating relations between link tables and other tables with many to many relations. When doing so it is possible to click

from one feature form in one table to the related feature form in the other table (from information sheet to information sheet). 

An example:

We digitize roads.

A cable can be linked to that road if this cable is localized there. (1 cable can be linked to multiple roads, and 1 road can be linked to

multiple cables > many to many relation).

Secondly, also tubes can be linked to a road (1 tube to multiple roads, or 1 road with multiple tubes). 

In a tube cables can occur (1 cable in multiple tubes or 1 tube with multiple cables).

- What is the bug?

When assigning a relation between tube and cable, when the tube is already related to the road and the road table is in editing mode,

QGIS crashes when editing in the link table of tube and cable.. 

It seems that QGIS crashes on editing in related tables if the first table is in editing mode as well.

The error cannot be always reproduced, but in many times this crash occurs.

History

#1 - 2015-05-26 07:16 AM - Saber Razmjooei

- Status changed from Open to Feedback

Could you provide some example data?

#2 - 2015-05-26 12:28 PM - Giovanni Manghi

Saber Razmjooei wrote:

Could you provide some example data?

agree, this is a pretty advanced project setup. Without a minimal project (with data) it would be hard to replicate.

Anyway, please test qgis master too.
#3 - 2015-05-27 07:58 AM - Giovanni Manghi

- Priority changed from Normal to High

#4 - 2015-11-10 03:54 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.
